.toggle-checkbox {

    input[type=checkbox] {
        position: absolute;
        clip: rect(0, 0, 0, 0);

        &:checked + .toggle-checkbox__wrap {

            &:before {
                left: 2px;
            }

            span:nth-child(1) {
                color: #0C0B10;
            }
        }
    }

    &__wrap {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        position: relative;
        width: 100%;
        height: 55px;
        padding: 3px;
        border: 1px solid #E2D3CE;
        border-radius: 74px;
        cursor: pointer;
        user-select: none;
        text-align: center;

        &:before {
            content: '';
            position: absolute;
            top: 2px;
            left: calc(50% + 2px);
            width: calc(50% - 4px);
            height: calc(100% - 4px);
            border-radius: inherit;
            background-color: #E2D3CE;
            transition: left .3s ease;
        }

        span {
            position: relative;
            width: 50%;
            font-weight: 500;
            font-size: 18px;
            line-height: 25px;
            z-index: 1;
            transition: color .3s ease;

            &:nth-child(2) {
                color: #0C0B10;
            }
        }
    }
}
